Overview | Package | Class | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.commons.latka.util.xml
Class DelegateHandlerImpl

    org.apache.commons.latka.util.xml.BasicDelegateHandler
      |
      +--org.apache.commons.latka.util.xml.DelegateHandlerImpl

All Implemented Interfaces:
  DelegateHandler

Direct Known Subclasses:
  LatkaHandler

public abstract class DelegateHandlerImpl
extends BasicDelegateHandler

A BasicDelegateHandler with convenient constructors. Constructors are a good way to insure that the init method is called. This is the best base class for most delegate handlers. BasicDelegateHandler is a good base class for delegate handlers produced by factories and/or reflection.

Constructor Summary
`DelegateHandlerImpl(org.xml.sax.XMLReader reader)` Create a DelegateHandler that releases to the current ContentHandler of the specified XMLReader
`DelegateHandlerImpl(org.xml.sax.XMLReader reader, org.xml.sax.ContentHandler handler)` Create a DelegateHandler that releases to a specific ContentHandler

Methods inherited from class org.apache.commons.latka.util.xml.BasicDelegateHandler
`delegate, release`

Constructor Detail

### DelegateHandlerImpl

    public DelegateHandlerImpl(org.xml.sax.XMLReader reader)

  Create a DelegateHandler that releases to the current ContentHandler of the specified XMLReader
  Parameters:
    `reader` - XMLReader that will do the parsing

### DelegateHandlerImpl

    public DelegateHandlerImpl(org.xml.sax.XMLReader reader,
                               org.xml.sax.ContentHandler handler)

  Create a DelegateHandler that releases to a specific ContentHandler
  Parameters:
    `reader` - XMLReader that will do the parsing
    `handler` - Handler that will resume parsing once release has been called

Overview | Package | Class | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001 Apache Software Foundation. Documenation generated September 13 2001.